com.massivecraft.factions.zcore.persist.json

## Class JSONFactions

- java.lang.Object
- - com.massivecraft.factions.Factions
  - - com.massivecraft.factions.zcore.persist.MemoryFactions
    - - com.massivecraft.factions.zcore.persist.json.JSONFactions

-     public class JSONFactions
      extends MemoryFactions

- - ### Field Summary

    - ### Fields inherited from class com.massivecraft.factions.zcore.persist.MemoryFactions

      `factions, nextId`

    - ### Fields inherited from class com.massivecraft.factions.Factions

      `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONFactions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `convertFrom(MemoryFactions old)`
    `void` | `forceSave()`
    `void` | `forceSave(boolean sync)`
    `Faction` | `generateFactionObject()`
    `Faction` | `generateFactionObject(java.lang.String id)`
    `java.io.File` | `getFile()`
    `com.google.gson.Gson` | `getGson()`
    `java.lang.String` | `getNextId()`
    `boolean` | `isIdFree(int id)`
    `boolean` | `isIdFree(java.lang.String id)`
    `void` | `load()`
    `protected void` | `updateNextIdForId(int id)`
    `protected void` | `updateNextIdForId(java.lang.String id)`

    - ### Methods inherited from class com.massivecraft.factions.zcore.persist.MemoryFactions

      `createFaction, getAllFactions, getBestTagMatch, getByTag, getFactionById, getFactionTags, getNone, getSafeZone, getWarZone, getWilderness, isTagTaken, isValidFactionId, removeFaction`

    - ### Methods inherited from class com.massivecraft.factions.Factions

      `getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSONFactions

          public JSONFactions()

  - ### Method Detail

    - #### getGson

          public com.google.gson.Gson getGson()

    - #### getFile

          public java.io.File getFile()

    - #### forceSave

          public void forceSave()

      Specified by:
        `forceSave` in class `Factions`

    - #### forceSave

          public void forceSave(boolean sync)

      Specified by:
        `forceSave` in class `Factions`

    - #### load

          public void load()

      Overrides:
        `load` in class `MemoryFactions`

    - #### getNextId

          public java.lang.String getNextId()

    - #### isIdFree

          public boolean isIdFree(java.lang.String id)

    - #### isIdFree

          public boolean isIdFree(int id)

    - #### updateNextIdForId

          protected void updateNextIdForId(int id)

    - #### updateNextIdForId

          protected void updateNextIdForId(java.lang.String id)

    - #### generateFactionObject

          public Faction generateFactionObject()

      Specified by:
        `generateFactionObject` in class `MemoryFactions`

    - #### generateFactionObject

          public Faction generateFactionObject(java.lang.String id)

      Specified by:
        `generateFactionObject` in class `MemoryFactions`

    - #### convertFrom

          public void convertFrom(MemoryFactions old)

      Specified by:
        `convertFrom` in class `MemoryFactions`